<?php
#----------------------------------------------------------#
# カード合成
#----------------------------------------------------------#
function card_combR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_dataL('player',$_COOKIE[id]);
$TM=read_dataL('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# カード検索
#--------------------------------------#
$D[BASE]=read_data('player_card',$Q[BASE]);
if($D[BASE]){
	#HTML表示
	$D[html_BASE]=ch_card($D[BASE]);
	#リスト
	$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
	while ($CD=mysql_fetch_assoc($sql)){
		$CD=ch_growth($CD);
		if(!$CD[38]&&!$CD[39]){
			if($CD[1]=='B'){
				$list_cardB.="<tr style=\"text-align:center;\"><td><input type=radio name=COMB value='$CD[id]'></td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td>$CD[0]</a></td><td>$CD[7]</td><td>$CD[45]</td><td>$CD[2]</td><td>$CD[3]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_st($CD[11],0)."</td><td>".ch_st($CD[12],0)."</td><td>".ch_st($CD[13],0)."</td><td>".ch_st($CD[14],0)."</td><td>".ch_st($CD[15],0)."</td><td>".ch_st($CD[16],0)."</td><td>".ch_st($CD[17],0)."</td><td>".AVE($CD_RB[2],$CD_RB[3])."</td><td>$ch_OPS</td></td></tr>\n";
			}elseif($CD[1]=='P'){
				$list_cardP.="<tr style=\"text-align:center;\"><td><input type=radio name=COMB value='$CD[id]'></td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td>$CD[0]</td><td>$CD[7]</td><td>$CD[45]</td><td>$CD[2]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_psp_max($CD[21],$CD[4])."</td><td>".ch_st($CD[22],0)."</td><td>".ch_st($CD[23],0)."</td><td>&nbsp;</td><td>".ch_st($CD[24],0)."</td><td>".ch_st($CD[25],0)."</td><td>".ch_st($CD[26],0)."</td><td>".ch_st($CD[27],0)."</td><td>".ch_st($CD[28],0)."</td><td>".ERA($CD_RP[11],$CD_RP[9])."</td><td>".WHIP($CD_RP[11],($CD_RP[3]+$CD_RP[15]+$CD_RP[16]))."</td></tr>\n";
			}
		}
	}
$html_comb=<<<EOF
<b>合成のベースカード</b><br>
$D[html_BASE]<br>
<b>合成の付与カード(<u>※削除されるカード</u>)を選んでください。</b><br>
<form name=form method=POST action="$SET[path_index]">
<table>
<tr><th>選択</th><th colspan=2>名前</th><th>Lv</th><th>P</th><th>投</th><th>調</th><th>疲</th><th>速</th><th>制</th><th>体</th><th>&nbsp;</th><th><abbr title="スライダー系">←</abbr></th><th><abbr title="カーブ系">／</abbr></th><th><abbr title="フォーク系">↓</abbr></th><th><abbr title="シンカー系">＼</abbr></th><th><abbr title="シュート系">→</abbr></th><th>ERA</th><th>WHIP</th></tr>
$list_cardP</table><table>
<tr><th>選択</th><th colspan=2>名前</th><th>Lv</th><th>P</th><th>投</th><th>打</th><th>調</th><th>疲</th><th>巧</th><th>力</th><th>走</th><th>肩</th><th>守</th><th>反</th><th>E避</th><th>Ave</th><th>OPS</th></tr>
$list_cardB</table>
(ベンチ外のみ選択可能です)<br>
<input type=submit value="合成チェックへ" onClick="return check();">
<input type=hidden name=BASE value="$Q[BASE]">
<input type=hidden name=r value="card_comb_check">
</form>
EOF;
}else{
	$html_comb="ベースカードが選択されていません。<br>\n<a href='$SET[path_index]?r=card_list'>カードリスト</a>よりお選びください。<br>";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=<<<EOF
\n<script type="text/javascript">
<!--
function check(){
	//ラジオボタン選択チェック
	radio_flag=0;
	var i;
	for(i=0;i<document.form.COMB.length;i++){
		if(document.form.COMB[i].checked){
			radio_flag=1;
			break;
		}
	}
	if(radio_flag==0){
		window.alert("合成するカードが選択されていません。");
		return false;
	}else{
		return true;
	}
}
//-->
</script>
EOF;
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>カード合成</b><blockquote>
$html_comb
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# カード合成(チェック)
#----------------------------------------------------------#
function card_comb_checkR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_dataL('player',$_COOKIE[id]);
$TM=read_dataL('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# カード検索
#--------------------------------------#
$D[BASE]=read_data('player_card',$Q[BASE]);
$D[COMB]=read_data('player_card',$Q[COMB]);
if($D[BASE]&&$D[COMB]&&$D[BASE][player_id]==$_COOKIE[id]&&$D[COMB][player_id]==$_COOKIE[id]){
	#HTML表示
	$D[html_BASE]=ch_card($D[BASE]);
	$D[html_COMB]=ch_card($D[COMB]);
	#総経験値計算
	$D[total_exp]+=$D[COMB][8];
	for($i=1;$i<=$D[COMB][7];$i++){
		$D[total_exp]+=$SET[exp][$i];
	}
	#得られる経験値計算
	$D[per_exp]=0;
	$D[plus_exp]='';
		#補正
		if($D[BASE][37]==$D[COMB][37]){
			$D[per_exp]+=30;
			$D[plus_exp].='同レアリティ補正+30%&nbsp;';
		}else{
			$D[per_exp]+=10;
			$D[plus_exp].='異レアリティ補正+10%&nbsp;';
		}
		if($D[COMB][37]=='N'){
			$D[per_exp]+=10;
			$D[plus_exp].='"N"レアリティ補正+10%&nbsp;';
		}elseif($D[COMB][37]=='R'){
			$D[per_exp]+=30;
			$D[plus_exp].='"R"レアリティ補正+30%&nbsp;';
		}elseif($D[COMB][37]=='HR'){
			$D[per_exp]+=40;
			$D[plus_exp].='"HR"レアリティ補正+40%&nbsp;';
		}elseif($D[COMB][37]=='SR'){
			$D[per_exp]+=50;
			$D[plus_exp].='"SR"レアリティ補正+50%&nbsp;';
		}elseif($D[COMB][37]=='UN'){
			$D[per_exp]+=100;
			$D[plus_exp].='"ユニーク"レアリティ補正+100%&nbsp;';
		}
	$D[get_exp]=floor($D[per_exp]/100*$D[total_exp]);
#HTML
$html_comb=<<<EOF
<table align=center><tr><th>獲得経験値</th></tr>
<tr><th>
<font size=+2 color=red>+$D[get_exp]</font><br>
$D[plus_exp]($D[per_exp]%)<br>
付加カード総経験値：$D[total_exp]
</th></tr></table>
<br><table align=center>
<form method=POST action="$SET[path_index]">
<tr><th>ベースカード<br>(経験値を得るカード)</th><th>付加カード<br>(<u>※削除されるカード</u>)</th></tr>
<tr><th>$D[html_BASE]</th><th>$D[html_COMB]</th></tr>
<tr><th colspan=2>
<input type=submit value="合成を行う" onClick="return check();">
</th></tr>
<input type=hidden name=r value="card_comb_ok">
<input type=hidden name=BASE value="$Q[BASE]">
<input type=hidden name=COMB value="$Q[COMB]">
</form></table>
EOF;
}else{
	$html_comb="データに異常があります。<br>\n<a href='$SET[path_index]?r=card_list'>カードリスト</a>より選びなおしてください。<br>";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=<<<EOF
\n<script type="text/javascript">
<!--
function check(){
	if(confirm('合成を行います、よろしいですか？')){
		return true;
	}else{
		return false;
	}
}
//-->
</script>
EOF;
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>カード合成</b><blockquote>
$html_comb
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# カード合成(OK)
#----------------------------------------------------------#
function card_comb_okR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_dataL('player',$_COOKIE[id]);
$TM=read_dataL('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# カード検索
#--------------------------------------#
$D[BASE]=read_dataL('player_card',$Q[BASE]);
$D[COMB]=read_dataL('player_card',$Q[COMB]);
if($D[BASE]&&$D[COMB]&&$D[BASE][player_id]==$_COOKIE[id]&&$D[COMB][player_id]==$_COOKIE[id]){
	#総経験値計算
	$D[total_exp]=$D[COMB][8];
	for($i=1;$i<=$D[COMB][7];$i++){
		$D[total_exp]+=$SET[exp][$i];
	}
	#得られる経験値計算
	$D[per_exp]=0;
	$D[plus_exp]='';
		#補正
		if($D[BASE][37]==$D[COMB][37]){
			$D[per_exp]+=30;
			$D[plus_exp].='同レアリティ補正+30%&nbsp;';
		}else{
			$D[per_exp]+=10;
			$D[plus_exp].='異レアリティ補正+10%&nbsp;';
		}
		if($D[COMB][37]=='N'){
			$D[per_exp]+=10;
			$D[plus_exp].='"N"レアリティ補正+10%&nbsp;';
		}elseif($D[COMB][37]=='R'){
			$D[per_exp]+=30;
			$D[plus_exp].='"R"レアリティ補正+30%&nbsp;';
		}elseif($D[COMB][37]=='HR'){
			$D[per_exp]+=40;
			$D[plus_exp].='"HR"レアリティ補正+40%&nbsp;';
		}elseif($D[COMB][37]=='SR'){
			$D[per_exp]+=50;
			$D[plus_exp].='"SR"レアリティ補正+50%&nbsp;';
		}elseif($D[COMB][37]=='UN'){
			$D[per_exp]+=100;
			$D[plus_exp].='"ユニーク"レアリティ補正+100%&nbsp;';
		}
	$D[get_exp]=floor($D[per_exp]/100*$D[total_exp]);
	#計算
	$D[BASE][8]+=$D[get_exp];
	update('player_card',$Q[BASE],$D[BASE]);
	read_file('./r/card_del.php');
	card_delete($Q[COMB],$db);
	#HTML表示
	$D[html_BASE]=ch_card($D[BASE]);
#HTML
$html_comb=<<<EOF
<table align=center><tr><th>獲得経験値</th></tr>
<tr><th>
<font size=+2 color=red>+$D[get_exp]</font><br>
$D[plus_exp]($D[per_exp]%)<br>
付加カード総経験値：$D[total_exp]
</th></tr></table>
<font size=+2 style="font-weight:bold">合成が終了しました</font><br>
EOF;
}else{
	$html_comb="データに異常があります。<br>\n<a href='$SET[path_index]?r=card_list'>カードリスト</a>より選びなおしてください。<br>";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>カード合成</b><blockquote>
<div style="text-align:center;">
$html_comb
</div>
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>